// If you want to override variables do it here
@import "variables";

// Import CoreUI styles
@import "~@coreui/coreui/scss/coreui.scss";

// Some temp fixes
@import "fixes";

// If you want to add something do it here
@import "custom";


html,
* {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  line-height: 1.5;
}
label, 
.table th, 
.table td, 
.form-control,
.custom-select {
  font-size: 0.85rem;
  min-height: 35px;
}
.form-group {
  margin-bottom: 0.4rem;
}
// textarea {
//     height: 15.5rem !important;
// }
.form-control {
  border-color: #babdc1;
}

// Logo Text CSS
.c-sidebar>a {
  text-decoration: none;

  .logo-text {
    font-size: 18px;
    font-weight: 600;
  }
}

// End Logo Text CSS

// Custom Nav Tabs Style CSS
.nav-tabs {
  border-color: #303c54;
}
.nav-tabs .nav-link.active, 
.nav-tabs .nav-item.show .nav-link {
  color: #ffffff !important;
  background-color: #303c54;
  border-color: #303c54;
}
.nav-tabs .nav-link.active:hover,
.nav-tabs .nav-link.active:focus {
    background-color: #303c54 !important;
}
.nav-tabs .nav-link:hover, .nav-tabs .nav-link:focus {
    border-color: #d8dbe0 #d8dbe0 #d8dbe0;
    color: #303c54;
}
.nav-tabs > .nav-item > .nav-link {
    color: #303c54;
}
.tab-content {
  border: 1px solid #303c54;
  border-top: 0px !important;
  padding: 10px;
}
.c-main {
  padding-top: 0.76rem;
}
// End Custom Nav Tabs Style CSS

// Common style for table UI
.table-filter-wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.table-striped {
  tbody {
    tr {
      &:nth-of-type(odd) {
        background-color: transparent !important;
      }
      &:nth-of-type(even) {
        background-color: rgba(0, 0, 21, 0.05) !important;
      }
    }
  }
}
.table {
  th, td {
    // padding: 0.75rem !important;
    vertical-align: middle;
  }
  .thead-light {
    th {
      color: #546d81;
      background-color: #d5e5f5;
      border-color: #becbdb;
    }
  }
}
.table-btn {
  &>a {
    text-decoration: none;
  }
}
.status-btn {
  &>.badge {
    cursor: pointer;
    padding: 0.25rem 0.5rem;
    font-size: 0.76562rem;
    line-height: 1.5;
    border-radius: 0.2rem;
  }
}

.table-filter-wrapper {
  .section {
    button> {
      img {
        &.img-dyc-image {
          width: 25px;
          height: 25px;
        }
      }
    }
  }
}

// End Common style for table UI

.treeview>.toggle {
  pointer-events: all;
  cursor: pointer;
}
.treeview > .toggle:hover {
  color: #63b1de;
  fill: #63b1de;
}

.radio-wrapper {
  display: flex;
  align-items: center;
  & > .form-check {
    display: flex;
    align-items: center;
    justify-content: space-between;
    &:first-child {
      padding-right: 30px;
    }
    .form-check-input {
      margin-top: 0;
    }
  }
}

.checkbox-wrappers {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.table-auto-scroll {
  max-height: 407px;
  height: auto;
  overflow-y: auto;
  width: 100%;
  padding: 0px;
  table{
    margin-bottom: 0px;
    thead{
      &.fixedHeader{
        white-space: nowrap;
        tr{
          height: auto;
          position: relative;
          th {
            position: -webkit-sticky;
            position: sticky;
            top: -1px;
            height: 35px;
            z-index: 10;
          }
        }
      }
    }
    tbody{
      &.scrollContent{
        overflow-x: hidden;
        overflow-y: auto;
        height: 370px;
        tr{
          td{
            padding-right: 22px;
            vertical-align: top;
          }
        }
      }
    }
  }
}

.reduce-width {
  border-top: 0px !important;
  box-shadow: 1px 0px 0px #d8dbe0;
  tbody.add-new-row-body {
    width: calc(100% - 18px);
    display: table;
  }
}

.loader-table {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 99;
  background: rgba(255, 255, 255, 0.7);
  width: 100%;
  height: 100%;
  display: flex !important;
  justify-content: center !important;
  align-items: center !important;
}
.hidden { display: none; }

// Start Delays table css
.delays-wrapper {
  .table-responsive {
    &>.table {
      width: 2000px;
    }
  }
}
.modal-primary {
  .modal-header {
    color: #fff;
    font-weight: 600;
    background-color: #303c54;
    .close {
      color: #ffffff;
      opacity: 1;
    }
  }
  .modal-content {
    border-color: transparent;
  }
}

.ant-btn-primary {
  // background-color: #288ba8 !important;
  border-color: none !important;
  background-color: #dbae58;
}



.ant-btn-secondary {
  background-color: #288ba8 !important;
  border-color: none !important;
}



// End Delays table css
